/*
  Theme Name: Hueman Pro Child
  Theme URI: https://dev.penselaranja.com/hueman-pro-child/
  description:  Hueman Pro Child Theme
  Author: Eider Oliveira
  Author URI: http://eideroliveira.com
  Template: hueman-pro
  Version: 1.1.1
  License: GNU General Public License v2 or later
  License URI: http://www.gnu.org/licenses/gpl-2.0.html
  Tags: light, dark, two-columns, right-sidebar, responsive-layout, accessibility-ready
  Text Domain: huemanprochild
 */

.editor-styles-wrapper .sensei-course-theme__main-content .wp-block-button.is-primary,
.editor-styles-wrapper .sensei-course-theme__main-content .wp-block-button.wp-block-button:not(.is-style-outline, .is-style-link),
.sensei-course-theme div.wp-site-blocks>.wp-block-button.is-primary,
.sensei-course-theme div.wp-site-blocks>.wp-block-button.wp-block-button,
.sensei-course-theme div.wp-site-blocks>.wp-block-button.wp-block-button:not(.is-style-outline, .is-style-link),
.sensei-course-theme__button.is-primary,
.sensei-course-theme__button.wp-block-button:not(.is-style-outline, .is-style-link),
body>div.wp-site-blocks>div.sensei-course-theme__columns.is-layout-flow.wp-block-ui-is-layout-flow>div.wp-block-sensei-lms-ui.sensei-course-theme__main-content.is-layout-flow.wp-block-ui-is-layout-flow>div.wp-block-group.has-global-padding.is-layout-constrained.wp-block-group-is-layout-constrained>div.wp-block-group.sensei-lesson-footer.is-nowrap>div>form>div {
  background-color: transparent;
  color: transparent;
  border: none;
}


.button,
.woocommerce input.button,
.woocommerce a.button,
.woocommerce a.button.alt,
.themeform .woocommerce a.button,
.themeform .woocommerce a.button.alt,
.themeform .woocommerce button.button.alt,
.themeform .woocommerce input.button,
.themeform .woocommerce ul.products li.product .button,
.woocommerce .woocommerce-form-login .woocommerce-form-login__submit,
#customer_login>div.u-column2.col-2>form>p:nth-child(4)>button,
.sensei-course-theme div.wp-site-blocks>.sensei-course-theme div.wp-block-button.wp-block-button>.wp-block-button__link,
body>div.wp-site-blocks>div.wp-block-sensei-lms-ui.sensei-version--4-16-2.sensei-course-theme__columns.is-layout-flow.wp-block-ui-is-layout-flow>div.wp-block-sensei-lms-ui.sensei-course-theme__main-content.is-layout-flow.wp-block-ui-is-layout-flow>div.wp-block-group.has-global-padding.is-layout-constrained.wp-block-group-is-layout-constrained>div.wp-block-group.sensei-lesson-footer.is-nowrap.is-layout-flex.wp-container-core-group-layout-5.wp-block-group-is-layout-flex>div>form>div>button {
  display: inline-flex;
  font-size: 1em;
  justify-content: center;
  padding: .5em 1em;
  text-align: center;
  white-space: normal;
  word-break: break-word;
  border-radius: 20px;
  background-color: #FF6000;
  color: antiquewhite;
  font-weight: 400;
  min-width: 120px;
  text-decoration: none !important;
  /* Removes the underline from the link */
  transition: background-color 0.3s ease;
  /* Adds a transition for hover state */
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  /* Adds shadow */
  margin: 5px 5px;
  /* top margin is 10px, right margin is 15px, bottom margin is 20px, left margin is 25px */
}

.button:hover,
.woocommerce a.button:hover,
.woocommerce a.button.alt:hover,
.woocommerce input.button:hover,
.themeform .woocommerce a.button:hover,
.themeform .woocommerce a.button.alt:hover,
.themeform .woocommerce button.button.alt:hover,
.themeform .woocommerce input.button:hover,
.themeform .woocommerce ul.products li.product .button:hover,
.woocommerce .woocommerce-form-login .woocommerce-form-login__submit:hover,
#customer_login>div.u-column2.col-2>form>p:nth-child(4)>button:hover,
.wp-block-button .wp-block-button__link.wp-element-button.sensei-course-theme__button:hover {
  background-color: #696969;
  /* Changes background color on hover */
  color: antiquewhite;
}

#downloads,
.pl_login_form {
  border-radius: 10px;
  margin: 0 auto;
  width: 100%;
  /* max-width: 400px; */
  padding: 10px 20px;
  background-color: antiquewhite;
}

.download-product,
.download-file {
  font-weight: bold;
}

#user_selector {
  width: 70%;
}

.entry ul li,
.entry ul>li.wc-block-grid__product {
  list-style: none;
}

.woocommerce div.product div.images img,
.woocommerce ul.products li.product a img {
  width: auto;
  height: auto;
  display: inherit;
  margin: 0px 0px 5px 0px;
}

.woocommerce span.onsale {
  left: 30%;
  right: auto;
  text-align: center;
  padding: .2em .5em;
}

.woocommerce ul.products li.product span.onsale {
  top: 0;
  right: 20%;
  left: auto;
  margin: -.5em -.5em 0 0;
  padding: .2em .5em;
}


.woocommerce ul.products li.product,
.woocommerce-page ul.products li.product {
  margin: 3em 10px 10px 10px;
  text-align: center;
}

.woocommerce div.product {
  background-clip: padding-box;
  flex-wrap: wrap;
  padding: 0;
  word-wrap: break-word;
  margin: 0;
  list-style: none outside;
  margin: 0 0 15px 30px;
}

.woocommerce ul.products {
  background-clip: padding-box;
  display: flex;
  flex-wrap: wrap;
  padding: 0;
  word-wrap: break-word;
  margin: 0;
  list-style: none outside;
  margin: 0 0 15px 30px;
}

.woocommerce-product-gallery__wrapper {
  text-align: center;
}

.woocommerce ul.products li.product .woocommerce-loop-product__link .woocommerce-loop-product__title {
  font-weight: 500;
  line-height: 1.2;
}

.woocommerce div.product p.price,
.woocommerce div.product span.price,
.woocommerce ul.products li.product .price {
  color: #444444;
  display: block;
  font-weight: 300;
  margin-bottom: .5em;
  /* font-size: .857em; */
}

.columns-3 .product {
  word-wrap: break-word;
  vertical-align: baseline;
  float: none;
  padding: 0;
  position: relative;
  text-align: center;
  width: auto;
  box-sizing: border-box;
  list-style: none;
  flex: 1 0 33.3333333333%;
  max-width: 33.3333333333%;
}

.woocommerce span.featured,
.subscription-discount-icon {
  position: absolute;
  z-index: 1;
  top: 5%;
  left: 50%;
  background-color: #f00;
  color: #fff;
  padding: 0.5vw 1vh;
  font-size: 1.4vw;
  border-radius: 20px;
  font-weight: 500;
  transform: translateX(-100%) rotate(-45deg);
  width: 50%;
  max-width: 160px;
  text-align: center;
}

/* Set minimum font size */
/* @media (max-width: 600px) {
  .subscription-discount-icon {
    font-size: 8px;
  }
} */

/* Set maximum font size */
@media (min-width: 1000px) {
  .subscription-discount-icon {
    font-size: 14px;
  }
}

#content ul.products>li.product span>span>ins,
.woocommerce ul.products li.product .price ins {
  background: #fff486;
}

.all-nfe-info {
  border: 1px solid #e1e1e1;

  padding-left: 15px;
  padding-right: 15px;
  margin-bottom: 15px;
}

.all-nfe-info h4 {
  font-size: small;
}

.extra {
  display: none;
}

.head {
  border-bottom: 1px solid #e1e1e1;

}

.single {
  border-bottom: 1px solid #e1e1e1;
  position: relative;
}

.body .single:last-child {
  border-bottom: 0;
}

.head-title,
.body-info {
  display: inline-block;
  width: 19.6%;
}

.update-nfe {
  text-decoration: none;
  color: #444;
  border-radius: 50%;
  padding: 3px;
  font-size: 15px;
  line-height: 19px;
  margin-left: 5px;
  vertical-align: top;
  color: #31708f;
  position: relative;
  background-color: #d9edf7;
  top: -5px;
  position: relative;
}

.unstyled {
  text-decoration: none;
}

.update-nfe:focus,
.unstyled:focus,
.unstyled:active {
  outline: 0 !important;
  box-shadow: none;
  text-decoration: none;
}

.update-nfe::after {
  content: 'Atualizar status';
  position: absolute;
  color: #fff;
  background-color: #000;
  left: -90px;
  top: -25px;
  width: 100px;
  border-radius: 5px;
  font-size: 12px;
  font-family: sans-serif;
  display: none;

}

.update-nfe:hover::after {
  display: block;
}

.expand-nfe {
  position: absolute;
  right: 0;
  top: 18px;
  cursor: pointer;
  -webkit-transition: transform 300ms;
  transition: transform 300ms;
}

.danfe-icon {
  display: none;
  cursor: pointer;
  text-decoration: none;
}

.nfe-status {
  text-transform: capitalize;
  color: #FFF;
  padding: 5px 10px;
  border-radius: 3px;
}

.nfe-status.aprovado {
  background-color: #dff0d8;
  color: #3c763d;
  padding: 5px 10px;
  border-radius: 3px;
}

.nfe-status.reprovado,
.nfe-status.cancelado,
.nfe-status.denegado {
  color: #a94442;
  background-color: #f2dede;
  border-color: #ebccd1;
}

.nfe-status.processamento,
.nfe-status.contingencia {
  background-color: #ffd050;
  color: #8c6e1a;
  font-weight: 600;
}

@media (max-width:1140px) {

  .n-column,
  .danfe-column {
    width: 15%;
  }

  .status-column {
    width: 40%;
  }

  .danfe-icon {
    display: block;
  }

  .wrt {
    display: none;
  }
}

.login-oauth-option {
  text-align: center;
}

.woocommerce-input-wrapper {
  min-height: 37px;
  display: block;
}

div>div>div>div>div.woocommerce-notices-wrapper>ul.woocommerce-error {
  padding: 1em 2em 1em 3.5em;
  margin: 0 0 2em;
  position: relative;
  background-color: #f6f5f8;
  color: #515151;
  border-top: 3px solid #b81c23;
  list-style: none outside;
  width: auto;
  word-wrap: break-word;
}

.cart_item .product-name {
  text-align: left;
}

ul.page-title.issn {
  line-height: 3rem;
  margin: 0.2em;
}

li.issn {
  font-size: 3rem;
  color: #a94442;
  text-transform: none;
  margin: 0.2em;
}

li.installment {
  margin-left: 0.8em;
  margin-top: 0.2em;  
}

.woocommerce-tabs {
  background-color: #f9f7f2;
}

.wpem-single-event-page .wpem-single-event-right-content .wpem-single-event-body-sidebar .wpem-icon-text-button {
    border: none;
    align-items: left;
}

div.wpem-countdown.event-countdown {
  border: none;
}

.youtube-video {
  aspect-ratio: 16 / 9;
  width: 100%;
}

.card {
  border-radius: 0.375rem;
  box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.05);
  padding: 1.25rem;
  margin-bottom: 1.5rem;
  background-color: #ff9858;
  color: #fff;
}

.card-title {
  font-weight: bold;
}

.card-content {
  display: flex;
}

.card-text {
  font-size: 0.875rem;
  width: 70%;
}

.card-qrcode {
  align-items: right;
  width: 30%;
}

.fw-bold {
  font-weight: bold;
}

.myaccount .card .session-badges .badge {
  display: inline-block;
  padding: 0.25rem 0.75rem;
  font-size: 0.875rem;
  font-weight: 700;
  line-height: 1;
  text-align: center;
  white-space: nowrap;
  vertical-align: baseline;
  border-radius: 0.25rem;
  background-color: #ffcdae;
  color: #000000;
  transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
  &:hover {
    background-color: #f9ac79;
    cursor: pointer; 
  }
}

.pointer_cursor {
  cursor: pointer; 
}

.badge-light {
  background-color: #f8f9fa;
  border-color: #f8f9fa;
}

.badge-light.text-dark {
  color: #212529;
}

.me-2 {
  margin-right: 0.5rem !important;
}

.myaccount .card .session-badges .badge.bg-success {
  background-color: #198754;
  transition: background-color 0.15s ease-in-out, border-color 0.15s ease-in-out;
  &:hover {
    background-color: #618c78;
  }
}

.dotted-line {
  border-top: 1px dotted #ddd;
  width: 100%;
  margin: 1rem 0;
}

